'sudo apt update'を使用すると、404エラーと「リポジトリにリリースファイルがありません」

ソールフィリップ

コマンドsudo apt update実行すると、次の問題が発生します。

$ sudo apt update

Hit:1 http://repo.mysql.com/apt/ubuntu eoan InRelease    
Hit:2 https://deb.debian.org/debian buster InRelease               
Ign:3 http://ppa.launchpad.net/morphis/anbox-support/ubuntu hirsute InRelease
Hit:4 https://deb.debian.org/debian-security buster/updates InRelease
Hit:5 https://download.sublimetext.com apt/stable/ InRelease       
Ign:6 https://storage.googleapis.com/cros-packages/88 buster InRelease
Err:7 http://ppa.launchpad.net/morphis/anbox-support/ubuntu hirsute Release
  404  Not Found [IP: 91.189.95.85 80]
Hit:8 https://storage.googleapis.com/cros-packages/88 buster Release
Reading package lists... Done
E: The repository 'http://ppa.launchpad.net/morphis/anbox-support/ubuntu hirsute Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.

使用しようとするsudo apt autoremoveと、次の結果が得られます。

$ sudo apt autoremove
E: Could not get lock /var/lib/dpkg/lock-frontend - open (11: Resource temporarily unavailable)
E: Unable to acquire the dpkg frontend lock (/var/lib/dpkg/lock-frontend), is another process using it?
HappyTux

あなたはあなたを編集し、/etc/apt/sources.listあなたがそこに持っているすべての役に立たないリポジトリを削除する必要があります2つの異なる互換性のないUbuntuリリース、それらの両方と互換性のないDebianバスター、および互換性があるかどうかを知っているサードパーティのリポジトリの行があります。チェックしません。ファイルは混乱していて、安定したシステムを生成することは決してありません。サードパーティのソースは/etc/apt/sources.d/、サードパーティがインストールしたソースの場所のディレクトリに置くことができます。これらのファイルの行#の先頭にを置くか、ファイルを完全に削除apt updateしてから、パッケージキャッシュを再読み取りして更新することにより、これらのファイルの行をコメントアウトします

この記事はインターネットから収集されたものであり、転載の際にはソースを示してください。

侵害の場合は、連絡してください[email protected]

編集
0

コメントを追加

0

関連記事

分類Dev

'sudo apt-getupdate'警告が表示されます

分類Dev

sudo apt-get installnautilus-open-terminalが機能しない

分類Dev

`apt-get update`と入力すると、EDACエラーの長いリストが表示されます。どうかしましたか?

分類Dev

sudo apt-get upgradeは、すべてに対して404エラーになります

分類Dev

`sudo apt-get -finstall`と` sudo apt-get install -f`の違いは何ですか?

分類Dev

apt-get update :(到達不能)に変更できません//-chdir(2:そのようなファイルまたはディレクトリはありません)

分類Dev

Sudo apt update:Googleパッケージがそれ自体を更新しないようにする方法は?

分類Dev

12.04の新規インストールでの `sudo apt-get update`ロックエラー(角度が異なります)

分類Dev

sudo apt-get install show unmetdependencies

分類Dev

aptを使用して特定のリポジトリからパッケージをインストールする方法はありますか?

分類Dev

ターミナル:sudo:apt-get:コマンドが見つかりません

分類Dev

sudo apt-getupgrade中にエラーを修正する方法

分類Dev

壊れたdpkg、sudo、tty、apt

分類Dev

Ubuntu 17.04でsudo apt-get updateが失敗する

分類Dev

「sudo apt-get install build-essentials」を使用する

分類Dev

apt-get `sudo apt-get install openblas-dev`を介してopenblasをインストールします

分類Dev

apt-get `sudo apt-get install openblas-dev`を介してopenblasをインストールします

分類Dev

apt-get `sudo apt-get install openblas-dev`を介してopenblasをインストールします

分類Dev

Ruby RVM apt-get updateエラー

分類Dev

Ubuntuにdockerをインストールするのはなぜ `sudo apt-get install docker.io`である必要があるのですか?

分類Dev

sudo apt-keyadvが断続的に失敗する

分類Dev

apt update error:リポジトリ「http://us.archive.ubuntu.com/ubuntusaucyRelease」にリリースファイルがありません

分類Dev

sudo apt-get update Ubuntu16.04でBazelKey Expired Error

分類Dev

sudo apt-get installphp-redisが動作を停止しました

分類Dev

"sudo apt update" and all I get is (target content is configured multiple times), (the repository does not have a Release file), (404 not found)

分類Dev

AWS EC2:sudo:apt-get:コマンドが見つかりませんエラー

分類Dev

'sudo apt-getupdate'の失敗

分類Dev

スクリプトを修正する方法:UPDATEユーザーパス(php mysql)(エラーはありませんが何かが機能していません)

分類Dev

sudo apt installpython3-pyqt5およびその他のaptインストール方法

Related 関連記事

  1. 1

    'sudo apt-getupdate'警告が表示されます

  2. 2

    sudo apt-get installnautilus-open-terminalが機能しない

  3. 3

    `apt-get update`と入力すると、EDACエラーの長いリストが表示されます。どうかしましたか?

  4. 4

    sudo apt-get upgradeは、すべてに対して404エラーになります

  5. 5

    `sudo apt-get -finstall`と` sudo apt-get install -f`の違いは何ですか?

  6. 6

    apt-get update :(到達不能)に変更できません//-chdir(2:そのようなファイルまたはディレクトリはありません)

  7. 7

    Sudo apt update:Googleパッケージがそれ自体を更新しないようにする方法は?

  8. 8

    12.04の新規インストールでの `sudo apt-get update`ロックエラー(角度が異なります)

  9. 9

    sudo apt-get install show unmetdependencies

  10. 10

    aptを使用して特定のリポジトリからパッケージをインストールする方法はありますか?

  11. 11

    ターミナル:sudo:apt-get:コマンドが見つかりません

  12. 12

    sudo apt-getupgrade中にエラーを修正する方法

  13. 13

    壊れたdpkg、sudo、tty、apt

  14. 14

    Ubuntu 17.04でsudo apt-get updateが失敗する

  15. 15

    「sudo apt-get install build-essentials」を使用する

  16. 16

    apt-get `sudo apt-get install openblas-dev`を介してopenblasをインストールします

  17. 17

    apt-get `sudo apt-get install openblas-dev`を介してopenblasをインストールします

  18. 18

    apt-get `sudo apt-get install openblas-dev`を介してopenblasをインストールします

  19. 19

    Ruby RVM apt-get updateエラー

  20. 20

    Ubuntuにdockerをインストールするのはなぜ `sudo apt-get install docker.io`である必要があるのですか?

  21. 21

    sudo apt-keyadvが断続的に失敗する

  22. 22

    apt update error:リポジトリ「http://us.archive.ubuntu.com/ubuntusaucyRelease」にリリースファイルがありません

  23. 23

    sudo apt-get update Ubuntu16.04でBazelKey Expired Error

  24. 24

    sudo apt-get installphp-redisが動作を停止しました

  25. 25

    "sudo apt update" and all I get is (target content is configured multiple times), (the repository does not have a Release file), (404 not found)

  26. 26

    AWS EC2:sudo:apt-get:コマンドが見つかりませんエラー

  27. 27

    'sudo apt-getupdate'の失敗

  28. 28

    スクリプトを修正する方法:UPDATEユーザーパス(php mysql)(エラーはありませんが何かが機能していません)

  29. 29

    sudo apt installpython3-pyqt5およびその他のaptインストール方法

ホットタグ

アーカイブ